12 April 2014: The OpenOffice Wiki is not, and never was, affected by the heartbleed bug. Users' passwords are safe and wiki users do not need take any actions.

OpenSUSE Build Instructions

From Apache OpenOffice Wiki
Jump to: navigation, search

About openSUSE

openSUSE project is a worldwide community program sponsored by Novell that promotes the use of Linux everywhere. The program provides anyone with free and easy access to SUSE Linux.

Build Instructions

The build procedure is the same as for other Linux systems.

Missing devel packages

The default openSUSE installation media do not include all the needed packages because of CD/DVD space limitation. The missing -devel packages, necessary to build OOo, are available via the full online installation sources at many mirrors. It is enough to add the respective installation source into YaST, for example::

   ftp://ftp.rz.uni-wuerzburg.de/pub/linux/opensuse/distribution/10.3/repo/oss
   ftp://ftp.rz.uni-wuerzburg.de/pub/linux/opensuse/distribution/10.3/repo/non-oss

The corresponding repositories at the primary site are:

   http://download.opensuse.org/distribution/10.3/repo/oss/
   http://download.opensuse.org/distribution/10.3/repo/non-oss/

Some notes:

  • The installation sources are quite big (provide packages for all architectures), and it takes a while until they are loaded. They are also quite memory demanding :-(
  • The missing packages can also be found at go-oo.org.
  • For me, the following zypper line dragged in all packages I needed:
   zypper install flex bison pam-devel gperf libxslt java-1_5_0-sun-devel
   libxml libxml2-devel libxslt-devel python-devel boost-devel
   openldap2-devel gnome-vfsmm-devel gstreamer010-devel kdesdk3
   kdelibs3-devel qt3-devel gcc-c++ ccache perl-Archive-Zip cups-devel
   ant automake autoconf mono-devel libcurl-devel unixODBC-devel
   mozilla-xulrunner181-devel neon-devel gstreamer010-plugins-base-devel
   perl-SOAP-Lite libdb-4_5-devel libwpd-devel libwps-devel libwpg-devel
   icu libicu-devel hunspell-devel
 and hunspell-devel the http://download.opensuse.org/repositories/home:/kkemenczy/openSUSE_10.3 one
  • Then, fire up the build with
   ./autogen.sh --with-distro=SUSE-10.3 --with-ccache-allowed
   ./download
   make

openSUSE 11.0 devel packages

On a pretty much virgin 11.0 install, this should give you all the necessary packages:

   zypper install flex bison pam-devel gperf libxslt java-1_5_0-sun-devel
   libxml libxml2-devel libxslt-devel python-devel boost-devel
   openldap2-devel gnome-vfsmm-devel gstreamer010-devel kdesdk3 postgresql-devel
   kdelibs3-devel qt3-devel gcc-c++ ccache perl-Archive-Zip cups-devel
   ant ant-apache-regexp automake autoconf mono-devel libcurl-devel unixODBC-devel
   mozilla-xulrunner181-devel neon-devel gstreamer010-plugins-base-devel
   perl-SOAP-Lite libdb-4_5-devel libwpd-devel libwps-devel libwpg-devel
   icu libicu-devel hunspell-devel poppler-devel make subversion 

openSUSE 11.1 devel packages

On a pretty much virgin 11.1 install, this should give you all the necessary packages:

   zypper si -d OpenOffice_org-bootstrap

If it does not work, you can try the full list:

   zypper install flex bison pam-devel gperf libxslt java-1_5_0-sun-devel
   libxml libxml2-devel libxslt-devel python-devel boost-devel
   openldap2-devel gnome-vfsmm-devel gstreamer010-devel kdesdk3 postgresql-devel
   kdelibs3-devel qt3-devel gcc-c++ ccache perl-Archive-Zip cups-devel
   ant ant-apache-regexp automake autoconf mono-devel libcurl-devel unixODBC-devel
   mozilla-xulrunner190-devel neon-devel gstreamer010-plugins-base-devel
   perl-SOAP-Lite libdb-4_5-devel libwpd-devel libwps-devel libwpg-devel
   icu libicu-devel hunspell-devel poppler-devel libexpat-devel
   lpsolve-devel zip make subversion 

openSUSE 11.2 devel packages

On a pretty much virgin 11.2 install, this should give you all the necessary packages:

   zypper si -d OpenOffice_org-bootstrap

If it does not work, you can try the full list:

   zypper install arts-devel avahi-lang brp-check-suse build-compare \
       dbus-1-qt3-devel dbus-1-qt3 flac-devel gconf2-lang glib2-branding-upstream \
       gnome-vfs2-lang gstreamer-0_10-lang gstreamer-0_10-plugins-base-lang \
       hunspell-devel icu kdelibs3-arts kdelibs3-devel kdelibs3-doc kdelibs4-branding-upstream \
       libbonobo-lang libicu-devel libjack-devel libogg-devel libsamplerate-devel libvorbis-devel \
       libwpd-devel libwpg-devel libwps-devel lpsolve-devel pcre-tools post-build-checks \
       postgresql-devel qt3-devel rpmlint-Factory rpmlint-mini sablot-devel unixODBC-devel \
       unsermake xmlbeans-mini
Personal tools